Bug 202374 - rt3 version 3.6.x and RT_SiteConfig.pm patch
rt3 version 3.6.x and RT_SiteConfig.pm patch
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rt3 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-13 17:37 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.6.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-16 17:15:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New RT_SiteConfig.pm patch (includes a couple more configuration values commented). (549 bytes, text/x-patch)
2006-08-13 17:40 EDT, Jose Pedro Oliveira
no flags Details

  None (edit)
Description Jose Pedro Oliveira 2006-08-13 17:37:58 EDT
Description of problem:
The default RT_SiteConfig.pm file in RT 3.6.x includes 15 lines of comments
which makes hard to notice that the first line has been patched.

Version-Release number of selected component (if applicable):
rt3-3.6.x


Additional info:
New patch in next commenct.
Comment 1 Jose Pedro Oliveira 2006-08-13 17:40:52 EDT
Created attachment 134109 [details]
New RT_SiteConfig.pm patch (includes a couple more configuration values commented).
Comment 2 Jose Pedro Oliveira 2006-08-13 17:48:00 EDT
A second issue I would like to raise is the site access. Personnaly I would like
to see the site being restricted to accesses from localhost by adding the
following lines to /etc/httpd/conf.d/rt3.conf

  Order deny,allow
  Deny from all
  Allow from 127.0.0.1

Note: The README.fedora file would also need to be adjusted if the above change
gets committed.

Tia,
jpo
Comment 3 Ralf Corsepius 2006-08-24 00:41:40 EDT
Thanks, I'll be looking into this, when time permits - Unfortunately, ATM, all
of my spare time is being swallowed up by other tasks, causing this PR to slowly
go down my personal priority queue ... 
Comment 4 Jose Pedro Oliveira 2006-09-16 17:15:59 EDT
Ralf,

Thanks for the update (3.6.1-3).

jpo

Note You need to log in before you can comment on or make changes to this bug.